

fs/mpage.c: In function `mpage_writepage':
fs/mpage.c:751: warning: `bio' might be used uninitialized in this function

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/mpage.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

diff -puN fs/mpage.c~add-nobh_writepage-support-fix fs/mpage.c
--- 25/fs/mpage.c~add-nobh_writepage-support-fix	2005-02-21 15:16:23.000000000 -0800
+++ 25-akpm/fs/mpage.c	2005-02-21 15:16:55.000000000 -0800
@@ -742,21 +742,20 @@ retry:
 		mpage_bio_submit(WRITE, bio);
 	return ret;
 }
+EXPORT_SYMBOL(mpage_writepages);
 
-int
-mpage_writepage(struct page *page, get_block_t get_block,
+int mpage_writepage(struct page *page, get_block_t get_block,
 	struct writeback_control *wbc)
 {
 	int ret = 0;
 	struct bio *bio;
 	sector_t last_block_in_bio = 0;
 
-	bio = __mpage_writepage(bio, page, get_block,
+	bio = __mpage_writepage(NULL, page, get_block,
 			&last_block_in_bio, &ret, wbc, NULL);
 	if (bio)
 		mpage_bio_submit(WRITE, bio);
 
 	return ret;
 }
-
-EXPORT_SYMBOL(mpage_writepages);
+EXPORT_SYMBOL(mpage_writepage);
_
